package ai.pai.lensman.upload;

import java.util.ArrayList;

import ai.pai.lensman.bean.SessionBean;

/**
 * Created by chengzhenyu on 2016/7/7.
 */
public class UploadContract {

    interface UploadView{

        void addNewSessionView(SessionBean bean);
        void showBTDisconnectedView();
        void showBTConnectedView();
        void showEmptyView();
        void showSessionViews();
        void updateSessionUploadView(SessionBean bean);
        void refreshSessionViews(ArrayList<SessionBean> sessionList);

    }

    interface UploadPresenter{

        void checkBTStatus();
        void start();
        void stop();
        void jumpToBriefs();
        void jumpToNewSession();
        void jumpToSelectedSession(SessionBean sessionBean);

    }

}
